Name:           astromenace
Version:        1.3.2
Release:        %mkrel 5
Summary:        Hardcore 3D space shooter with spaceship upgrade possibilities
Group:          Games/Shooter
License:        GPLv3+ and CC BY-SA 3.0
URL:            http://www.viewizard.com/
Source0:        http://downloads.sourceforge.net/openastromenace/%{name}-src-%{version}.tar.bz2
# This patch fixes segfault when using the intel driver
# https://sourceforge.net/p/openastromenace/bugs/8
Patch0:         astromenace-1.3.2-upstream-texture-mipmap.patch

BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(freealut)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(xinerama)

%description
Space is a vast area, an unbounded territory where it seems there is a
room for everybody, but reversal of fortune put things differently. The
hordes of hostile creatures crawled out from the dark corners of the
universe, craving to conquer your homeland. Their force is compelling,
their legions are interminable. However, humans didn't give up without
a final showdown and put their best pilot to fight back. These malicious
invaders chose the wrong galaxy to conquer and you are to prove it!
Go ahead and make alien aggressors regret their insolence.

%prep
%setup -qn AstroMenace
%autopatch -p1

for file in ChangeLog License ReadMe; do
  sed -i 's/\r//' ${file}.txt
  chmod -x ${file}.txt
done

%build
%cmake -DDATADIR=%{_gamesdatadir}/%{name}
%make

./AstroMenace --pack --rawdata=../RAW_VFS_DATA --dir=.

%install
install -D -m755 build/AstroMenace %{buildroot}%{_gamesbindir}/%{name}
install -D -m644 build/gamedata.vfs %{buildroot}%{_gamesdatadir}/%{name}/gamedata.vfs

for size in 64 128; do
  install -D -m644 %{name}_${size}.png %{buildroot}%{_iconsdir}/hicolor/${size}x${size}/apps/%{name}.png
done

install -d %{buildroot}%{_datadir}/applications/
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Astromenace
Comment=3D space shooter
Exec=%{name}
Icon=%{name}
Type=Application
StartupNotify=false
Terminal=false
Categories=Game;Shooter;
EOF

%files
%doc ReadMe.txt License.txt ChangeLog.txt
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Mon Feb 08 2016 umeabot <umeabot> 1.3.2-5.mga6
+ Revision: 942723
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3.2-4.mga5
+ Revision: 740211
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.2-3.mga5
+ Revision: 678008
- Mageia 5 Mass Rebuild

* Thu May 15 2014 akien <akien> 1.3.2-2.mga5
+ Revision: 622918
- Add upstream patch to fix segfault when using the Intel driver

* Sat May 10 2014 akien <akien> 1.3.2-1.mga5
+ Revision: 621758
- imported package astromenace

